### Method

# Gimp Curve is_identity

since: 3.2

#### Declaration [src]

    gboolean
    gimp_curve_is_identity (
      GimpCurve* curve
    )

#### Description [src]

If this function returns `TRUE`, then the curve maps each value to itself. If it returns `FALSE`, then this assumption can not be made.

Available since: 3.2

#### Return value

Type: `gboolean`

`TRUE` if the curve is an identity mapping, `FALSE` otherwise.